summaryrefslogtreecommitdiffstats
path: root/libraries/perl-Text-Autoformat/perl-Text-Autoformat.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/perl-Text-Autoformat/perl-Text-Autoformat.SlackBuild')
-rw-r--r--libraries/perl-Text-Autoformat/perl-Text-Autoformat.SlackBuild40
1 files changed, 13 insertions, 27 deletions
diff --git a/libraries/perl-Text-Autoformat/perl-Text-Autoformat.SlackBuild b/libraries/perl-Text-Autoformat/perl-Text-Autoformat.SlackBuild
index 4fdf1a028f..bf87bac639 100644
--- a/libraries/perl-Text-Autoformat/perl-Text-Autoformat.SlackBuild
+++ b/libraries/perl-Text-Autoformat/perl-Text-Autoformat.SlackBuild
@@ -1,11 +1,11 @@
#!/bin/sh
-# Slackware build script for perl-Text-Reform
+# Slackware build script for perl-Text-Autoformat
# Written by Šime Ramov <s@ramov.com>
-PRGNAM=perl-Text-Autoformat
SRCNAM=Text-Autoformat
-VERSION=${VERSION:-1.668001}
+PRGNAM=perl-$SRCNAM
+VERSION=${VERSION:-1.669002}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -24,20 +24,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-fi
-
set -e
rm -rf $PKG
@@ -53,21 +39,21 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-perl Makefile.PL OPTIMIZE="$SLKCFLAGS" INSTALLDIRS=vendor
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+
make
make test
make install DESTDIR=$PKG
-mv $PKG/usr/share/man $PKG/usr/
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
-( cd $PKG
- find . -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f
- find . -depth -type d -empty -delete
-)
+find $PKG -depth -type d -empty -delete || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a README Changes config.vim config.emacs $PKG/usr/doc/$PRGNAM-$VERSION